Bug 193870 - Unable to install from yum
Unable to install from yum
Product: Fedora
Classification: Fedora
Component: qtparted (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-02 10:33 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.4.5-8.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-02 18:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to compile qtparted against parted 1.7.1 (426 bytes, text/x-patch)
2006-06-02 13:08 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Paul F. Johnson 2006-06-02 10:33:55 EDT
Description of problem:
When I try to install the current version from rawhide, I'm told that it relies
on a different version of libparted than is currently available

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum -y install qtparted
Actual results:
Missing dependancy : libparted-1.6.so.13

Expected results:
qtparted should install

Additional info:
Comment 1 Mamoru TASAKA 2006-06-02 13:08:14 EDT
Created attachment 130411 [details]
Patch to compile qtparted against parted 1.7.1

qtparted needs rebuilding, but it fails because:

In qtparted-0.4.5/src/qp_fswrap.cpp
qp_fswrap.cpp: In static member function 'static QString
qp_fswrap.cpp:1005: error: 'PED_SECTOR_SIZE' was not declared in this scope

and from /usr/share/doc/parted-1.7.1/Changelog:
2005-11-09  Leslie Polzer <leslie.polzer@gmx.net>
* include/parted/unit.h: renamed 'PED_SECTOR_SIZE' to

The patch attached is to compile qtparted against current parted (version
1.7.1) .

Note You need to log in before you can comment on or make changes to this bug.